#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 cryptol
version:              2.9.0
visibility:           public
id:                   cryptol-2.9.0-63b9vmrZsOt5cM9i9K9HND
key:                  cryptol-2.9.0-63b9vmrZsOt5cM9i9K9HND
license:              BSD-3-Clause
copyright:            2013-2020 Galois Inc.
maintainer:           cryptol@galois.com
author:               Galois, Inc.
homepage:             http://www.cryptol.net/
synopsis:             Cryptol: The Language of Cryptography
description:
    Cryptol is a domain-specific language for specifying cryptographic algorithms. A Cryptol implementation of an algorithm resembles its mathematical specification more closely than an implementation in a general purpose language. For more, see <http://www.cryptol.net/>.

category:             Language
abi:                  a17b68cd2aa987a34a3cf1259df9f9d2
exposed:              True
exposed-modules:
    Cryptol.Eval Cryptol.Eval.Arch Cryptol.Eval.Backend
    Cryptol.Eval.Concrete Cryptol.Eval.Concrete.Float
    Cryptol.Eval.Concrete.FloatHelpers Cryptol.Eval.Concrete.Value
    Cryptol.Eval.Env Cryptol.Eval.Generic Cryptol.Eval.Monad
    Cryptol.Eval.Reference Cryptol.Eval.SBV Cryptol.Eval.Type
    Cryptol.Eval.Value Cryptol.Eval.What4 Cryptol.Eval.What4.Float
    Cryptol.Eval.What4.SFloat Cryptol.Eval.What4.Value
    Cryptol.IR.FreeVars Cryptol.ModuleSystem Cryptol.ModuleSystem.Base
    Cryptol.ModuleSystem.Env Cryptol.ModuleSystem.Exports
    Cryptol.ModuleSystem.Fingerprint
    Cryptol.ModuleSystem.InstantiateModule
    Cryptol.ModuleSystem.Interface Cryptol.ModuleSystem.Monad
    Cryptol.ModuleSystem.Name Cryptol.ModuleSystem.NamingEnv
    Cryptol.ModuleSystem.Renamer Cryptol.Parser Cryptol.Parser.AST
    Cryptol.Parser.Lexer Cryptol.Parser.Name Cryptol.Parser.Names
    Cryptol.Parser.NoInclude Cryptol.Parser.NoPat
    Cryptol.Parser.Position Cryptol.Parser.Selector
    Cryptol.Parser.Unlit Cryptol.Parser.Utils Cryptol.REPL.Command
    Cryptol.REPL.Monad Cryptol.REPL.Trie Cryptol.Symbolic
    Cryptol.Symbolic.SBV Cryptol.Symbolic.What4 Cryptol.Testing.Random
    Cryptol.Transform.AddModParams Cryptol.Transform.MonoValues
    Cryptol.Transform.Specialize Cryptol.TypeCheck
    Cryptol.TypeCheck.AST Cryptol.TypeCheck.CheckModuleInstance
    Cryptol.TypeCheck.Default Cryptol.TypeCheck.Depends
    Cryptol.TypeCheck.Error Cryptol.TypeCheck.Infer
    Cryptol.TypeCheck.InferTypes Cryptol.TypeCheck.Instantiate
    Cryptol.TypeCheck.Kind Cryptol.TypeCheck.Monad Cryptol.TypeCheck.PP
    Cryptol.TypeCheck.Parseable Cryptol.TypeCheck.Sanity
    Cryptol.TypeCheck.SimpType Cryptol.TypeCheck.SimpleSolver
    Cryptol.TypeCheck.Solve Cryptol.TypeCheck.Solver.Class
    Cryptol.TypeCheck.Solver.Improve Cryptol.TypeCheck.Solver.InfNat
    Cryptol.TypeCheck.Solver.Numeric
    Cryptol.TypeCheck.Solver.Numeric.Fin
    Cryptol.TypeCheck.Solver.Numeric.Interval
    Cryptol.TypeCheck.Solver.SMT Cryptol.TypeCheck.Solver.Selector
    Cryptol.TypeCheck.Solver.Types Cryptol.TypeCheck.Solver.Utils
    Cryptol.TypeCheck.Subst Cryptol.TypeCheck.TCon
    Cryptol.TypeCheck.Type Cryptol.TypeCheck.TypeMap
    Cryptol.TypeCheck.TypeOf Cryptol.TypeCheck.TypePat
    Cryptol.TypeCheck.Unify Cryptol.Utils.Debug Cryptol.Utils.Fixity
    Cryptol.Utils.Ident Cryptol.Utils.Logger Cryptol.Utils.Misc
    Cryptol.Utils.PP Cryptol.Utils.Panic Cryptol.Utils.Patterns
    Cryptol.Utils.RecordMap Cryptol.Version

hidden-modules:
    Cryptol.Parser.LexerUtils Cryptol.Parser.ParserUtils
    Cryptol.Prelude Paths_cryptol GitRev

import-dirs:          /usr/lib/ghc-8.10.1/site-local/cryptol-2.9.0
library-dirs:         /usr/lib/ghc-8.10.1/site-local/cryptol-2.9.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/cryptol
hs-libraries:         HScryptol-2.9.0-63b9vmrZsOt5cM9i9K9HND
depends:
    GraphSCC-1.0.4-IC6FF89rxYeGrQYTR5Pr4w array-0.5.4.0
    async-2.2.2-FvEyLOBcr4z1GhA3U7sahr base-4.14.0.0
    base-compat-0.11.1-KZnxD44j0rC2RthL96Vmwl
    bv-sized-1.0.1-Fk1oCayZyN7JRsBR9GY598 bytestring-0.10.10.0
    containers-0.6.2.1 cryptohash-sha1-0.11.100.1-2gd8W0MJmDXLF2SYBClUB
    deepseq-1.4.4.0 directory-1.3.6.0 exceptions-0.10.4
    filepath-1.4.2.1 gitrev-1.3.1-9JbXwW3h4Lf8RR2MISxplB
    heredoc-0.2.0.0-2Mv6sG9hTuO2hkaj42CFts
    libBF-0.5.1-SQurY3buZMKYCMhqGe0mZ
    monad-control-1.0.2.3-IFATvKuFOhSKFDNwrLs6xW
    monadLib-3.10-6h1BOxrlq8i3erP7X1lmFA mtl-2.2.2
    panic-0.4.0.1-A8wsV1mQdweDfbMYpGomx
    parameterized-utils-2.1.0-KGSyHmZDiOA1NaIsAxGikT pretty-1.1.3.6
    process-1.6.8.2 random-1.1-AA3zCuOgsVZCzsZYE3CMpY
    sbv-8.7-82VrCtdXqgGIUmuiyTAYxt
    simple-smt-0.9.5-4vG9YjmipnNBXyQSYlpStx
    strict-0.3.2-4IjmweKQSpWKqLgD7Xpcu6 text-1.2.3.2
    tf-random-0.5-HmwtQSb2nyd7UlERrufhRq time-1.9.3
    transformers-base-0.4.5.2-H3R4A47HYkfLDjXZW2vd08
    what4-1.0-IoNo3D3z8iNGFp6yBuG0f2

haddock-interfaces:   /usr/share/doc/cryptol/html/cryptol.haddock
haddock-html:         /usr/share/doc/cryptol/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

